# mongoc_apm_command_started_get_service_id()

## Synopsis

    const bson_oid_t *
    mongoc_apm_command_started_get_service_id (
       const mongoc_apm_command_started_t *event);

Returns this event’s service ID, which identifies the MongoDB service behind a load balancer, or `NULL` if not connected to a load balanced cluster.

## Parameters

- `event`: A mongoc_apm_command_started_t.

## Returns

A `bson_oid_t` that should not be modified or freed or `NULL`.